using System;
using System.Collections.Generic;
using Server;
using Server.Items;

namespace Server.Mobiles
{
	public class Ranger : BaseVendor
	{
		private List<SBInfo> m_SBInfos = new List<SBInfo>();
		protected override List<SBInfo> SBInfos{ get { return m_SBInfos; } }

		[Constructable]
		public Ranger() : base( "the ranger" )
		{
			SetSkill( SkillName.Searching, 65.0, 88.0 );
			SetSkill( SkillName.Hiding, 45.0, 68.0 );
			SetSkill( SkillName.Archery, 65.0, 88.0 );
			SetSkill( SkillName.Tracking, 65.0, 88.0 );
		}

		public override void InitSBInfo()
		{
			m_SBInfos.Add( new SBRangedWeapon() );
			m_SBInfos.Add( new SBRanger() );
		}

		public override void InitOutfit()
		{
			switch ( Utility.Random( 4 ) )
			{
				case 0: AddItem( new Bow() );			break;
				case 1: AddItem( new Bow() );			break;
				case 2: AddItem( new Crossbow() );		break;
				case 3: AddItem( new HeavyCrossbow() );	break;
			}

			AddItem( new FeatheredHat( Utility.RandomNeutralHue() ) );
			AddItem( new LeatherArms() );
			AddItem( new LeatherChest() );
			AddItem( new LeatherGloves() );
			AddItem( new LeatherGorget() );
			AddItem( new LeatherLegs() );
			AddItem( new Boots() );
		}

		public Ranger( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}
	}
}